<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
<!ENTITY rfc2119 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
// local reference to another doc
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>


// categories: std | bcp | info | exp | historic
rfc(category='info' consensus='false' ipr='trust200902' docName='Rabot_releaseNotes_v3.2.0' submissionType='be-gm-apc' xml:lang='en' version='3')
  front
    title(abbrev='Rabot - Release notes v3.2.0') BE-GM-APC Rabot - Release notes v3.2.0
    author(fullname='Przemyslaw Lewandowski' initials='P.L.' role='editor' surname='Lewandowski')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          code 1217
          city Meyrin
          country Switzerland
        email przemyslaw.lewandowski@cern.ch
    date(year='2021' month="August")

    abstract
      t Release notes for Rabot version 3.2.0

  middle

    section
      name Introduction
      t
        | This documents presents feature summary for Rabot release version 3.2.0.

      // This one is a 'must' :)
      section
        name Requirements Notation
        t
          | The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
          | "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
          | document are to be interpreted as described in BCP 14,
          | #[xref(target='RFC2119' format='default') RFC2119].

    section
      name Release
      
      section
        name Important links
        t List of JIRA tasks can be accessed #[xref(target='RABOT_JIRA')] here
        t Rabot user guide can be accessed #[xref(target='RABOT_USER_GUIDE')] here
        t Rabot source code can be accessed #[xref(target='RABOT_REPO')] here
        t You can download the Windows installer here #[xref(target='WIN_INSTALLER')]
        
      section
        name List of changes
        ul
          li Added drag and drop support for opening Rabot projects
          li Tolerance step was changed to 0.01 in its corresponding spinbox 
          li Updated user guide link to point to readthedocs
          li Shortcuts key combinations were changed - list of shortcuts is available in 'Help' in application bar
          li Labels on the plot are positioned closer to its respective points
          li All the numbers in 'Summary' tab are displayed with the same precision
          li By pressing and holding the right mouse button and releasing it in a new location it is possible to make simple distance calculations. Disable by clicking right mouse button again.
          li On single click on the plotted segment the information about its displacement from a smooth line will be presented for its every point
          li CSV output: Added column names to already existing columns - "Element", "Point to move"
          li CSV output: Added two new columns - "Offset date", "Offset comment"
          li CSV output: Not adding a new fictif point when middle point already exists
          li Comments with nonstandard characters (e.g. accents) are properly presented
          li Forced the window size to be at least of size 7, with default window size 11, with only odd numbers allowed. The maximum window size is equal to numOfPoints - 1 (for even numOfPoints) or numOfPoints - 2 (for odd).
          li QCustomPlot library was updated to the newest version 2.1.0
          
  back

    references
      name References
      
      references
        name Normative References
        | &rfc2119;

      references
        name URL References
        
        reference(anchor="RABOT_REPO" target="https://gitlab.cern.ch/apc/susofts/processing/Rabot")
          front
            title Rabot repository
            author
              organization CERN
              
        reference(anchor="RABOT_USER_GUIDE" target="https://readthedocs.web.cern.ch/display/SUS/Rabot+User+Guide")
          front
            title Rabot User Guide
            author
              organization CERN
              
        reference(anchor="RABOT_JIRA" target="https://its.cern.ch/jira/browse/APCSUPPORT-318")
          front
            title Rabot JIRA list with all the tasks
            author
              organization CERN

        reference(anchor="WIN_INSTALLER" target="https://gitlab.cern.ch/apc/susofts/processing/Rabot/-/jobs/15583300/artifacts/raw/RabotInstaller-3.2.0-win64.exe")
          front
            title SurveyPad installer for 64 bit version of Windows
            author
              organization CERN

    section
      name Change Log
      dl
        dt 01
        dd First revision
        dt 02
        dd Second revision - changed version number and added installer links
